Latest Publication

Returns a Document Object.

GET/api/2026-03/documents/{documentId}/latestPublication
public-api:read
Latest version (since 2025-09)

Path Parameters

ParameterTypeDescription
documentId*
integer

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
fields
string

Filters which (comma separated) properties are included in the response. Defaults to systemdata,references,metadata,content.

ignoreComponentConditions
boolean

{{< added-in "release-2024-03" >}}

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

{{< added-in "release-2024-03" >}}

JSON stringified object which contains the component conditions you would like to apply.

Default: {"dateTime": new Date()}
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

Description

The endpoint provides an unresolved Publication with 5 possible top-level properties:

  • systemdata
  • metadata
  • references
  • content
Advantages
  • Be able to cache the response, because it only changes on a republish (does not contain resolved refs)
  • Useful for a pull architecture
  • (deprecated) Supports the Render Pipeline with it's Renditions
Related
  • Composition API

Use Cases

  • Load an unresolved Publication with the required information to render a document/page.
  • Export the unresolved Publication to another system and get changes via Publication Events or Webhooks

Responses

⌘ K to search